package ink.wgink.module.form.pojo.dtos.onlyoffice.config;

/**
 * @ClassName: EditConfigDTO
 * @Description: 编辑配置
 * @Author: wanggeng
 * @Date: 2022/7/24 20:01
 * @Version: 1.0
 */
public class EditConfigDTO {

    private String callbackUrl;
    private String lang;
    private String location;
    private String region;
    private User user;

    public String getCallbackUrl() {
        return callbackUrl == null ? "" : callbackUrl.trim();
    }

    public void setCallbackUrl(String callbackUrl) {
        this.callbackUrl = callbackUrl;
    }

    public String getLang() {
        return lang == null ? "" : lang.trim();
    }

    public void setLang(String lang) {
        this.lang = lang;
    }

    public String getLocation() {
        return location == null ? "" : location.trim();
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getRegion() {
        return region == null ? "" : region.trim();
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public User getUser() {
        return user;
    }

    public void setUser(User user) {
        this.user = user;
    }

    public static class User {
        private String id;
        private String name;

        public String getId() {
            return id == null ? "" : id.trim();
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getName() {
            return name == null ? "" : name.trim();
        }

        public void setName(String name) {
            this.name = name;
        }
    }
}
